package ch6.checkalignment;

import javax.media.jai.OperationDescriptorImpl;
import javax.media.jai.registry.RenderedRegistryMode;

public class CheckAlignmentDescriptor extends OperationDescriptorImpl {
    private static final String[] paramNames = {"samplingPeriod"};
    private static final Object[] paramDefaults = {new Integer(1)};
    private static final Class[] paramClasses = {Integer.class};
    private static final int numSources = 2;
    private static final String[] supportedModes = {"rendered"};
    private static final Object[] validParamValues = {
	new javax.media.jai.util.Range(Integer.class, 
				       new Integer(1), 
				       new Integer(Integer.MAX_VALUE))
	    };


    private static final String[][] resources = {
	{"GlobalName", "CheckAlignment"},
	{"LocalName", "CheckAlignment"},
	{"Vender", "Ostuni"},
	{"Description", "Provides Visual Alignment Check of Two Images"},
	{"DocURL", "none"},
	{"Version", "Beta"},
    };

    public CheckAlignmentDescriptor() {
	super(resources,
	      supportedModes,
	      numSources,
              paramNames,
              paramClasses,
              paramDefaults,
              validParamValues);
    }
}

