package ch6.checkalignment;

import java.awt.image.RenderedImage;
import java.awt.image.renderable.ParameterBlock;
import java.awt.image.renderable.RenderedImageFactory;
import java.awt.RenderingHints;
import javax.media.jai.ImageLayout;

public class CheckAlignmentRIF implements RenderedImageFactory {
    public CheckAlignmentRIF() {}

    public RenderedImage create(ParameterBlock paramBlock,
				RenderingHints renderingHints) {
	
	RenderedImage source1 = paramBlock.getRenderedSource(0);
	RenderedImage source2 = paramBlock.getRenderedSource(1);
	int samplingPeriod = paramBlock.getIntParameter(0);
	ImageLayout layout = null;
	return new CheckAlignmentOpImage(source1, 
					 source2, 
					 samplingPeriod,
					 layout,
					 renderingHints, 
					 false);
    }
}
